#! /bin/csh -fe
#
#   Wedger Elves example background autoindexing script
#
/programs/mosflm/701//ipmosflm HKLOUT  auto.mtz   \
         SPOTOD  auto.spotod \
         SUMMARY logs/autoindex.xlog    \
         COORDS  auto.coords << eof-ipmosflm
#
GENFILE auto.gen
#

# Detector parameters (range, quantum gain, etc.)
SCANNER RAXISIV

GAIN            1


# Beam parameters (i.e. (delta-lambda)/lambda, H,V divervence in degrees)
WAVELENGTH    1.5418
DISPERSION    0.0025
DIVERGENCE    0 0
POLARISATION  MIRRORS

# Alignment parameters
DISTANCE      140.00
BEAM          149.87 149.61
TWOTHETA      0.0
#
NEWMATRIX  auto.mat

# Crystal parameters
CELL     KEEP 78.8145 78.8145 36.8886 90 90 90
SYMMETRY      P43212
RESOLUTION 2.4
MOSAIC     0.4

# frame filename breakdown
DIRECTORY    /data2/jamesh/example_data_sets/RAXIS/stout_full
IDENTIFIER   test1_lysozyme_0111060
EXTENSION    .osc
TEMPLATE test1_lysozyme_0111060###.osc
#
FINDSPOTS MINX 0.1 MINY 0.1 MAXX 5 MAXY 5 SPLIT 0.2 0.2
#

AUTOINDEX DPS THRESH 5 IMAGE 161 PHI 0 0.5 
AUTOINDEX DPS THRESH 5 IMAGE 251 -
PHI 45 45.5 
AUTOINDEX DPS THRESH 5 IMAGE 341 PHI 90 90.5 
AUTOINDEX DPS THRESH 5 -
IMAGE 431 PHI 135 135.5 
AUTOINDEX DPS THRESH 5 FIXCELL UNFIXDIST 
#
go
#
eof-ipmosflm

