#! /bin/csh -f
#
#  Wedger Elves automatically generated mosflm script
#
# 
# option to integrate after refining
set integ = ""
if("$1" =~ integ*) set integ = ""
#
# temporary file prefix
set tempfile = ${CCP4_SCR}/mosflm_temp$$
set outfile  = raw.mtz
#
#
/programs/mosflm/701//ipmosflm HKLOUT ${tempfile}.mtz	\
         SPOTOD  ${tempfile}.spotod	\
         SUMMARY logs/mosflm.xlog	\
         COORDS  ${tempfile}.coords << eof-ipmosflm
#
TITLE Raw data wedge from test1_lysozyme_0111060###.osc 161 to 520 at lambda= 1.5418
#
GENFILE ${tempfile}.gen
#
# the following keywords were not understood by Wedger Elves, but passed on
# because they resemble mosflm commands.
# ----

# ----

# Detector parameters (range, quantum gain, etc.)
SCANNER RAXISIV

GAIN            0.778


# Beam parameters (i.e. (delta-lambda)/lambda, H,V divervence in degrees)
WAVELENGTH    1.5418
DISPERSION    0.0025
DIVERGENCE    0 0
POLARISATION  MIRRORS

# Alignment parameters
DISTANCE      140.224
BEAM          150.215 149.668
TWOTHETA      0.0
MATRIX        best.mat
#MISSETS       -0.053916 0.011451 -0.053780 RESET
NEWMATRIX     postref.mat

# Crystal parameters
CELL          78.788 78.788 36.892 90 90 90
SYMMETRY      P4212
RESOLUTION    1.61
MOSAIC        0.357674

# Frame filename breakdown
DIRECTORY     /data2/jamesh/example_data_sets/RAXIS/stout_full
IDENTIFIER    test1_lysozyme_0111060
EXTENSION     .osc
TEMPLATE test1_lysozyme_0111060###.osc
#
# To run mosflm interactively,
# uncomment the following lines (and DON'T redirect output)
#IMAGE 161 PHI 0 TO 0
#GO
#END
#PLOT
#
POSTREF ADD 30 
REFI RESID 100
POSTREF FIX ALL
REFINE  FIX YSCALE
# Processing commands: 
PROCESS 161 to 520 START 0 ANGLE 0.5 ADD 0
GO
END

eof-ipmosflm
set mosflm_status = $status

# update mtz only after run is finished
if((! $mosflm_status)&&(-e ${tempfile}.mtz)&&("$integ" == "")) then 
    mv ${tempfile}.mtz ${outfile}
endif

# Life's messy, clean it up.
rm -f ${tempfile}.spotod >& /dev/null
rm -f ${tempfile}.coord  >& /dev/null
rm -f ${tempfile}.gen    >& /dev/null
rm -f ${tempfile}.mtz    >& /dev/null
ls fort* >& /dev/null
if(! $status) rm -f fort*


exit $mosflm_status
